Bug 461179 - RFE: emit D-Bus signal when a lease is handed out
RFE: emit D-Bus signal when a lease is handed out
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dnsmasq (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-04 14:21 EDT by James Laska
Modified: 2013-09-02 02:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 10:26:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-09-04 14:21:50 EDT
While testing the NetworkManager ConnectionSharing feature (https://fedoraproject.org/wiki/Features/ConnectionSharing), 

Not sure if this is possible or even desirable, just tossing it out there.  Would it be possible to provide a pop-up hint when any clients connected to my NM created ad-hoc network?
Comment 1 Dan Williams 2008-11-02 17:27:23 EST
Not really; the only thing that knows is the DHCP server (dnsmasq), which doesn't expose this information.  However, it's a good idea if we could do it, maybe dnsmasq could send a signal out on its D-Bus interface whenever it hands out a lease to a new client.  Then the applet could listen for that signal and do something intelligent with it.
Comment 2 Patrick Laughton 2009-06-11 10:25:28 EDT
Isn't this more of an upstream RFE?  Simon is quite reasonable about listening to feature requests.

Actually, looking at http://www.thekelleys.org.uk/dnsmasq/CHANGELOG, it appears this handy-dandy feature was added as of 2.46:

Emit DBus signals as the DHCP lease database changes. Thanks to Jeremy Laine for the patch.

James, I imagine that's sufficiently close to what you're looking for?  (I mean, the lease database SHOULD change on a lease being issued, unless I'm completely inept.)

I apologize for the delay in addressing this bug.
Comment 3 James Laska 2009-06-11 12:49:28 EDT
Patrick: thanks for your response.  I'm not too familiar with the internals, but if that addresses the RFE for having a pop-up notification dialog when wireless clients connect to a NM Shared connection ... that'd be fine by me.
Comment 4 Patrick Laughton 2009-06-11 13:26:08 EDT
Err, that would handle the dnsmasq side of the DBus connection, correct.  I have no idea who'd be responsible for the other end (i.e., the actual pop-up).

Rawhide has 2.47-1 now, and 2.48-1 (which addresses Bug #494094) shortly.  F11 has 2.46, F10 has 2.45 (for now).  How far back are you hoping to have this?  I'm still trying to decide how far back I want to push 2.48-1 (for #494094), so I'm open to input.
Comment 5 James Laska 2009-06-16 09:17:20 EDT
> How far back are you hoping to have this? 

My expectations are that this feature would be added upstream to land in a future release of NM in Fedora.  I don't know if the dnsmasq change you noted in bug#494094 is related to the sending of a d-bus signal or not.
Comment 6 Patrick Laughton 2009-06-16 10:26:59 EDT
Bug #494094 is only peripherally related to this bug; it merely affects how early in the boot process dnsmasq is available, which shouldn't be a major factor for this.

For the purposes of having the DBus functionality available for future use (Rawhide & F-11), I believe this bug is resolved.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.